View Issue Details

IDProjectCategoryView StatusLast Update
0003051Far ManagerPlugins APIpublic2016-10-10 13:14
ReportershmuelAssigned Tozg 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0003051: Вызов ECTL_REDRAW из диалога
DescriptionПри управлении редактором из диалога вызываем ECTL_SETPOSITION, затем ECTL_REDRAW.
Проблема в том, что ECTL_REDRAW не перерисовывает часть экрана, закрытую диалогом, и при сдвиге диалога мышью можно наблюдать прежнее (до ECTL_SETPOSITION) содержимое экрана.
Additional Informationhttp://forum.farmanager.com/viewtopic.php?f=8&t=9754
TagsNo tags attached.
Build4808

Relationships

parent of 0003317 closedzg Trap on select screen 

Activities

shmuel

2016-10-01 00:03

developer  

test.lua (16,778 bytes)

shmuel

2016-10-01 00:05

developer   bugnote:0014828

1. Far 3.0.4800 - проблема пока не устранена.
2. Приложен файл test.lua для тестирования.

zg

2016-10-01 18:24

developer   bugnote:0014832

4803.

shmuel

2016-10-01 19:16

developer   bugnote:0014833

Похоже, работает.

DrKnS

2016-10-03 07:45

administrator   bugnote:0014834

Теперь падает граббер, т. к. SaveScr пустой:
http://forum.farmanager.com/viewtopic.php?p=141065#p141065

DrKnS

2016-10-03 20:38

administrator   bugnote:0014838

Ещё, наверное, сюда же:

options - colors - panel - normal text
закрываем диалог, закрываем вложенное меню, видим его остатки под предыдущим.

zg

2016-10-06 20:02

developer   bugnote:0014863

4808.

Issue History

Date Modified Username Field Change
2015-08-02 09:58 shmuel New Issue
2016-10-01 00:03 shmuel File Added: test.lua
2016-10-01 00:05 shmuel Note Added: 0014828
2016-10-01 18:24 zg Note Added: 0014832
2016-10-01 19:16 shmuel Build => 4803
2016-10-01 19:16 shmuel Note Added: 0014833
2016-10-01 19:16 shmuel Status new => closed
2016-10-01 19:16 shmuel Assigned To => zg
2016-10-01 19:16 shmuel Resolution open => fixed
2016-10-01 19:16 shmuel Fixed in Version => 3.0
2016-10-03 07:45 DrKnS Note Added: 0014834
2016-10-03 07:45 DrKnS Status closed => assigned
2016-10-03 16:08 2useven10 Relationship added parent of 0003317
2016-10-03 20:38 DrKnS Note Added: 0014838
2016-10-06 20:02 zg Note Added: 0014863
2016-10-10 13:14 shmuel Build 4803 => 4808
2016-10-10 13:14 shmuel Status assigned => closed